CHCON(1)

NOM
chcon - Modifier le contexte de sécurité d'un fichier

SYNOPSIS
chcon [OPTION] ... CONTEXTE FICHIER ...
chcon [OPTION]... [-u UTILISATEUR] [-r ROLE] [-l NIVEAU] [-t TYPE] FICHIER\/...
chcon [OPTION]... --reference=FICHIER-R FICHIER...

DESCRIPTION

Modifier le contexte de sécurité SELinux de chaque FICHIER en CONTEXTE. Avec l'option --reference, modifier le contexte de sécurité de chaque fichier en celui de FICHIER-R.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

--dereference
    affecter la cible de chaque lien symbolique (comportement par défaut) plutôt que le lien symbolique lui-même

-h, --no-dereference
    agir sur les liens symboliques au lieu des fichiers référencés

-u, --user=UTILISATEUR
    utiliser l'UTILISATEUR dans le contexte de sécurité cible

-r, --role=ROLE
    utiliser le RÔLE dans le contexte de sécurité cible

-t, --type=TYPE
    utiliser le TYPE dans le contexte de sécurité cible

-l, --range=NIVEAU
    utiliser le NIVEAU dans le contexte de sécurité cible

--no-preserve-root
    ne pas traiter « / » de manière spéciale (par défaut)

--preserve-root
    ne pas opérer récursivement sur « / »

--reference=FICHIER-R
    utiliser le contexte de sécurité de FICHIER-R au lieu d'indiquer une valeur de CONTEXTE

-R, --recursive
    modifier récursivement fichiers et répertoires

-v, --verbose
    afficher un diagnostic pour chaque fichier traité

Les options suivantes modifient la façon dont est parcourue la hiérarchie lorsque l'option -R est également spécifiée. Si plus d'une option est spécifiée, seule la dernière est prise en compte.

-H  si un paramètre de la ligne de commande est un lien symbolique vers un répertoire, le parcourir

-L  parcourir chaque lien symbolique rencontré menant à un répertoire

-P  ne parcourir aucun lien symbolique (par défaut)

--help
    Afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter

AUTEUR
Écrit par Russell Coker et Jim Meyering.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/chcon>
aussi disponible localement à l’aide de la commande : info '(coreutils) chcon invocation'

Empaqueté par Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou supérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer.
Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

TRADUCTION
La traduction française de cette page de manuel a été créée par Julien Cristau <jcristau@debian.org>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.